<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/linear_lay"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/p_global_bg_color"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="18"
        android:orientation="horizontal">

        <FrameLayout
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_marginBottom="2dip"
            android:layout_marginLeft="3dip"
            android:layout_marginTop="2dip"
            android:layout_weight="1"
            android:paddingRight="2dip">

            <com.desfate.chart.LineChart
                android:id="@+id/mtp_otc_time_chart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="2dip"
                android:layout_marginLeft="3dip"
                android:layout_marginTop="2dip"
                android:paddingRight="2dip" />

            <LinearLayout
                android:id="@+id/time_none"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|center_horizontal"
                android:orientation="vertical"
                android:visibility="gone">

<!--                <ImageView-->
<!--                    android:layout_width="50dp"-->
<!--                    android:layout_height="50dp"-->
<!--                    android:layout_gravity="center_horizontal"-->
<!--                    android:scaleType="fitXY"-->
<!--                    android:src="@drawable/none_quote_selector" />-->

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center_horizontal"
                    android:text="无数据"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="10sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/loading_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@null"
                android:orientation="vertical"
                android:padding="15dip">

                <FrameLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|center_horizontal"
                    android:paddingLeft="12dip"
                    android:paddingRight="12dip">

                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center_vertical|center_horizontal"
                        android:contentDescription="@null"
                        android:scaleType="fitXY"
                        android:src="@mipmap/loading_a"
                        android:visibility="gone" />

                    <ImageView
                        android:id="@+id/loading_view_circle"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center_vertical|center_horizontal"
                        android:contentDescription="@null"
                        android:scaleType="fitXY"
                        android:src="@mipmap/loading_b" />
                </FrameLayout>

                <TextView
                    android:id="@+id/loading_view_text"
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal|center_horizontal"
                    android:layout_marginTop="8dip"
                    android:gravity="center_horizontal"
                    android:lines="1"
                    android:text="加载数据中..."
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="11sp"
                    android:visibility="gone" />
            </LinearLayout>
        </FrameLayout>

    </LinearLayout>

    <!--买卖大厅-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="15"
        android:visibility="gone"
        android:id="@+id/sale_hall_area"
        android:background="@color/p_global_bg_color"
        android:orientation="vertical">


    </LinearLayout>

</LinearLayout>